Show / Hide Table of Contents

# Interface IDeletable

Determines whether the object is deletable or not.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IDeletable

### Methods

| Improve this Doc View Source

#### DeleteAsync(RequestOptions)

Deletes this object and all its children.

##### Declaration

    Task DeleteAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options | The options to be used when sending the request.

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |